Subject: bug#12380: other window related commands broken

From: Doug Morgan <[email-masked]>
Date: Sun, 09 Sep 2012 14:19:02 -0700

On 9/9/2012 3:05 AM, martin rudalics wrote:
> > First, here is what the debugger says when I try to "Send Bug 
> Report:..."
> > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
> >   file-name-directory(nil)
> >   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides
> > \\(%s.*\\)" file-name-directory locate-library "simple.el" (1
> > font-lock-warning-face)] 5)
>
> I don't understand why it doesn't find this.  Does evaluating
>
> (locate-library "simple.el")
>
> always fail on your system?  If so, what is your value of the variable
> `load-path'?
>
Ken Brown explained this one.  I haven't loaded the emacs-el cygwin package.
> ...
> > The problem is fixed by setting split-width-threshold to 500.
>
> nil should be more intuitive.
>
> > I did try setting it to nil as the variable's documentation
> > suggests and the customization dialog told me the value of the variable
> > needed to be an integer.  Don't know if it accepted nil anyway or
> > rejected it or what, but 500 sure works. Thanks again.
>
> In the dialog you are not allowed to insert nil in the field reserved
> for numbers.  You should use the "Value Menu" button and select "nil"
> from the choices presented there.  Please try again.

Ah, that's how you use that customization buffer thingie.  I've paid it 
and customizations as little attention as possible since they appeared 
(I said long-suffering, but maybe just unsufferably lazy). "Value Menu" 
indeed does the trick.

> ...
> martin
Doug